# https://yamllint.readthedocs.io/en/stable/rules.html

extends: default

rules:
  braces:
    min-spaces-inside: 1
    max-spaces-inside: 1
    min-spaces-inside-empty: 0
    min-spaces-inside-empty: 0
    level: error
  brackets:
    min-spaces-inside: 1
    max-spaces-inside: 1
    min-spaces-inside-empty: 0
    min-spaces-inside-empty: 0
    level: error
  colons:
    max-spaces-before: 0
    max-spaces-after: 1
  commas:
    max-spaces-before: 0
    min-spaces-after: 1
    max-spaces-after: 1
  comments:
    require-starting-space: true
  comments-indentation: disable
  document-end:
    present: false
  document-start:
    present: true
  empty-lines:
    max: 1
  empty-values:
    forbid-in-block-mappings: true
    forbid-in-flow-mappings: true
  hyphens:
    max-spaces-after: 1
  indentation:
    spaces: 2
    indent-sequences: consistent
    check-multi-line-strings: true
  key-duplicates: {}
  key-ordering: disable
  line-length: disable
  new-line-at-end-of-file: {}
  new-lines:
    type: unix
  octal-values:
    forbid-implicit-octal: true
    forbid-explicit-octal: false
  quoted-strings: disable
  trailing-spaces: {}
  truthy:
    level: error
